#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: startWAS.sh
#
# This script is called by "configureTSAM.sh" and by "configureMaxProperties.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Starts WebSphere (i.e. start TIO stack except the TIO lwi):
# WebSphere Deployment manager
# WebSphere Nodeagent
# WebSphere Application Server MXServer
# WebSphere Application Server server1

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "su - $WASRXUSER -c \"\$TIO_HOME/tools/tio.sh start -w $WASADMIN ********\""
su - $WASRXUSER -c "\$TIO_HOME/tools/tio.sh start -w $WASADMIN $WASADMIN_PW"
RC=$?

# Wait until everything is up and running
if [[ "$RC" == "0" ]]
then
	# wait for the MXServer port
	while ! netstat -an | grep $MXServer_MAXIMO_PORT
	do
		sleep 1
	done

	# Sleep in the case TPM is not up completely
	sleep 240
fi	

exit $RC
