#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: update_sshServerMasterCredentials.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Changes the master credentials for the Tivoli Provisioning
# Manager SSH Server.
#
# $WASRXUSER: default is tioadmin

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

TMPFILE=/tmp/tmp_$(date +"%s")

sed -e "s/server/$TPM_PROV_SERVERNAME/" -e "s/username/$SSH_USER_NAME/" -e "s/password/$SSH_PASS_PHRASE/" <"$UPDATE_SSH_SERVER_MASTER_CREDENTIALS_DCM" >"$TMPFILE"

chmod 600 "$TMPFILE"
chown $WASRXUSER.$WASRXUSER "$TMPFILE"

echo "su - $WASRXUSER -c \"$TIO_HOME/tools/dcmQueryCommand.sh $UPDATE_SSH_SERVER_MASTER_CREDENTIALS_DCM\""
su - $WASRXUSER -c "$TIO_HOME/tools/dcmQueryCommand.sh $TMPFILE"
RC=$?

rm -fr "$TMPFILE"

exit $RC
